package org.example

import org.example.data.repository.ShoesRepositoryImpl
import org.example.data.repository.UserRepositoryImpl
import org.example.domain.useCases.ShoesUseCaseImpl
import org.example.domain.useCases.UserUseCaseImpl
import org.example.ui.ShoesUI
import org.example.ui.UserUI

fun main() {
    val userRepository = UserRepositoryImpl()
    val shoesRepository = ShoesRepositoryImpl()
    val userUseCase = UserUseCaseImpl(userRepository)
    val shoesUseCase = ShoesUseCaseImpl(shoesRepository)
    val userUI = UserUI(userUseCase)
    val shoesUI = ShoesUI(shoesUseCase)
    while(true){
        println("Выберите действие:")
        println("1 - Регистрация")
        println("2 - Авторизация")
        println("3 - Изменить профиль")
        println("4 - Изменить пароль")
        println("5 - Перейти в каталог")
        val c = readln()
        when(c){
            "1"->userUI.registration()
            "2"->userUI.authorize()
            "3"->userUI.changeProfile()
            "4"->userUI.changePassword()
            "5"->shoesUI.mainShoes()
        }
    }

}