package org.example.domain.useCases

import org.example.data.repository.ShoesRepository

import org.example.data.model.ShoesDTO
import org.example.domain.request.AddShoesRequest
import org.example.domain.response.ShoesResponse

class ShoesUseCaseImpl(private val shoesRepository: ShoesRepository): ShoesUseCase{
    override fun addShoes(request: AddShoesRequest): ShoesResponse {
        shoesRepository.add(request)
        return ShoesResponse(true)
    }

    override fun getAllShoes(): List<ShoesDTO> {
        val allShoes = shoesRepository.getAllShoes()
        return allShoes
    }

    override fun getShoesById(id: Int): ShoesDTO? {
        val needShoes = shoesRepository.getShoesById(id)
        return needShoes
    }

    override fun updateShoes(id: Int, updateShoes: ShoesDTO): ShoesResponse {
        return if(shoesRepository.update(id,updateShoes)) {
            ShoesResponse(result = true)
        } else {
            ShoesResponse(result = false)
        }
    }

    override fun delete(id: Int): Boolean {
        shoesRepository.delete(id)
        return true
    }
}