package org.example.ui
import org.example.data.model.ShoesDTO
import org.example.domain.useCases.ShoesUseCase
import org.example.domain.request.AddShoesRequest

class ShoesUI(private val shoesUseCase: ShoesUseCase) {

    fun mainShoes(){
        while(true){
            println("Выберите действие:")
            println("1 - Показать всю обувь")
            println("2 - Добавить обувь")
            println("3 - Найти обувь по id")
            println("4 - Обновить обувь по id")
            println("5 - Удалить обувь по id")
            val c = readln()
            when(c){
                "1"->showCatalog()
                "2"->addShoes()
                "3"->getShoesById()
                "4"->updateShoes()
                "5"->delete()
            }
        }
    }
    private fun addShoes(){
        println("Введите название модели:")
        val name = readln()
        println("Введите название бренда:")
        val brand =  readln()
        println("Введите размер пары обуви:")
        val size = readln()
        println("Введите основной цвет обуви:")
        val color = readln()
        println("Введите цену:")
        val price = readln()
        val addShoesRequest = AddShoesRequest(
            name=name,
            brand = brand,
            size = size.toDouble(),
            color = color,
            price = price.toDouble(),
        )
        shoesUseCase.addShoes(addShoesRequest)
    }
    private fun getShoesById(){
        println("Введите id искомой обуви: ")
        val id = readln()
        println(shoesUseCase.getShoesById(id.toInt()))
    }
    private fun showCatalog(){
        val allShoes = shoesUseCase.getAllShoes()
        allShoes.forEach {
            println(it)
        }
        println()
    }

    private fun updateShoes(){
        println("Введите id обуви, которую хотите обновить:")
        val id = readln()
        println("Введите название модели:")
        val name = readln()
        println("Введите название бренда:")
        val brand =  readln()
        println("Введите размер пары обуви:")
        val size = readln()
        println("Введите основной цвет обуви:")
        val color = readln()
        println("Введите цену:")
        val price = readln()
        val update = ShoesDTO(
            id=id.toInt(),
            name = name,
            brand = brand,
            size = size.toDouble(),
            color = color,
            price = price.toDouble()
        )
        shoesUseCase.updateShoes(id.toInt(), update)
    }
    private fun delete(){
        println("Введите id обуви которую хотите удалить из каталога:")
        val id = readln()
        shoesUseCase.delete(id.toInt())
    }
}